Page MenuHomePhabricator

Paragraphs are pulled out of infobox
Closed, ResolvedPublic

Description

Consider the source code

{| class="infobox"
|Let's try a paragraph of text here.
|
OMG paragraph
|-
|}


I am the lead paragraph of this ship.

Expected: "I am the lead paragraph of this ship." is shifted to the top of the section.
Actual: " OMG paragraph" becomes the lead paragraph.

We should not interfere with the infobox.

Test Plan

Event Timeline

This is even stranger when you use the following source code (navbox scrubbed but paragraph inside it is shown!)

{| class="infobox navbox"
|Infobox p|
OMG paragraph inside infobox
|-
|}

Real first paragraph.

Change 318911 had a related patch set uploaded (by Phuedx):
Only relocate immediate descendant paragraphs

https://gerrit.wikimedia.org/r/318911

Jdlrobson reassigned this task from bmansurov to phuedx.Oct 31 2016, 3:29 PM
Jdlrobson added a subscriber: bmansurov.
ovasileva triaged this task as High priority.Oct 31 2016, 3:44 PM

Change 318911 merged by jenkins-bot:
Only relocate immediate descendant paragraphs

https://gerrit.wikimedia.org/r/318911

phuedx reassigned this task from phuedx to Nicholas.tsg.Nov 1 2016, 10:44 AM
phuedx added a subscriber: phuedx.

Over to you @Nicholas.tsg!

bmansurov updated the task description. (Show Details)Nov 1 2016, 4:15 PM

@Nicholas.tsg the test URL has been updated. Please try again.

According to the attached screencaps, "Paragraph inside infobox" is appearing in the infobox table and "Real first paragraph" is appearing above the infobox table consistently, so this seems to be fixed. Here are the testing devices/environments I've checked,

iPhone 6S (iOS 10.0.1)

Galaxy SIII Android 4.4.2 (Google Chrome)

Galaxy SIII Android 4.4.2 (Browser)

Galaxy SIII Android 6.0.1 (Google Chrome)

bmansurov closed this task as Resolved.Nov 2 2016, 12:19 PM
bmansurov removed bmansurov as the assignee of this task.